---------------------------------------------------------
--Instance Module Template for BossTactics
--refer www.bosstactics.net for howto create modules!
---------------------------------------------------------

--available buttontypes:
--f: rangedDPS, h: healer, t: tank, n:melee, b,x,y,z: boss
--empty captions are not "" please use " " or you will get exceptions!

--local variable definition dont change!!
local BT_main = LibStub("AceAddon-3.0"):GetAddon( "BossTactics" )

BT_Obsid = LibStub("AceAddon-3.0"):NewAddon("BT_Obsid","AceConsole-3.0");
local L = LibStub("AceLocale-3.0"):GetLocale("BT_Obsid")

--feel free to use localisations from the framework
local L_main = LibStub("AceLocale-3.0"):GetLocale("BossTactics")

local BabbleBoss = LibStub("LibBabble-Boss-3.0"):GetLookupTable();
local BabbleZone = LibStub("LibBabble-Zone-3.0"):GetLookupTable();

--db profile defaults add your boss-data here
local defaults = {
    profile = {
        ["instance"] = BabbleZone["The Obsidian Sanctum"], --instance name
		["version"] = 1, --change this to a higher value for update handling (explained in a tutorial)
		["initial"] = true, --never change this flag!
		["id"] = "BT_Obsid", --very important this must be the same name as your module case sensitive!
		["info"] = L["info"], --a short text you can add to the info frame, optional
		["patchlevel"] = "3.0.8", --put in the patchlevel to which this guide belongs to
		["bosses"] = {
			["mode25"] = {
		    -- first boss
                [1] = {
                    ["name"] = BabbleBoss["Sartharion"],
                    ["ratext"] = L["ra Sartharion"], --lines seperated by \n
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["25-Sartharion"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Sartharion"],} }, --optional
                    ["imgdata"] = {
                        --first image
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Obsid\\Img\\map_sartharion1",
                            ["btnId"] = 1, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {

                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 197,
                                    ["y"] = -22,
                                    ["text"] = L["Left Tsunami"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_Obsid\\Img\\map_sartharion2",
                            ["btnId"] = 1, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {

                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 197,
                                    ["y"] = -22,
                                    ["text"] = L["Right Tsunami"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
                        },
                        [3] = {
                            ["source"] = "Interface\\Addons\\BT_Obsid\\Img\\map_sartharion",
                            ["btnId"] = 15, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                                {
                                    ["y"] = -307.2904516895314,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 245.3941129472299,
                                }, -- [1]
                                {
                                    ["y"] = -473.7493789823344,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 219.9776164434921,
                                }, -- [2]
                                {
                                    ["y"] = -474.837397574522,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 250.1392638572815,
                                }, -- [3]
                                {
                                    ["y"] = -261.5959020600967,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 414.8157883176211,
                                }, -- [4]
                                {
                                    ["y"] = -263.7717952933464,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 343.4031465832238,
                                }, -- [5]
                                {
                                    ["y"] = -264.8595799649555,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 293.35682848118,
                                }, -- [6]
                                {
                                    ["y"] = -264.8596159527368,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 244.3983670263079,
                                }, -- [7]
                                {
                                    ["y"] = -265.9477605021589,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 191.0879211721389,
                                }, -- [8]
                                {
                                    ["y"] = -305.1146304318443,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 281.2971430270405,
                                }, -- [9]
                                {
                                    ["y"] = -305.114486480719,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 316.1121005329917,
                                }, -- [10]
                                {
                                    ["y"] = -473.7493789823344,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 308.1029118402682,
                                }, -- [11]
                                {
                                    ["y"] = -474.8373615867407,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 280.6026148356395,
                                }, -- [12]
                                {
                                    ["y"] = -474.8374335623033,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 191.690356631181,
                                }, -- [13]
                                {
                                    ["y"] = -472.6612884145843,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 335.3021890481731,
                                }, -- [14]
                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 177,
                                    ["y"] = -22,
                                    ["text"] = L["No Dragons Alife"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Sartharion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                        [4] = {
                            ["source"] = "Interface\\Addons\\BT_Obsid\\Img\\map_sartharion",
                            ["btnId"] = 16, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                        		{
                                    ["y"] = -258.3318642774248,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 371.5984576143011,
                                }, -- [1]
                                {
                                    ["y"] = -284.4430149297982,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 260.2323250264584,
                                }, -- [2]
                                {
                                    ["y"] = -297.4989681276886,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 233.81984868122,
                                }, -- [3]
                                {
                                    ["y"] = -143.0073096666344,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 140.6480496906914,
                                }, -- [4]
                                {
                                    ["y"] = -143.0073726452517,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 192.1760477276704,
                                }, -- [5]
                                {
                                    ["y"] = -280.0912284632985,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 400.3709406819446,
                                }, -- [6]
                                {
                                    ["y"] = -144.0952922710406,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 229.166916460762,
                                }, -- [7]
                                {
                                    ["y"] = -147.359096133134,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 267.2459297432757,
                                }, -- [8]
                                {
                                    ["y"] = -147.3593120598218,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 312.940245452132,
                                }, -- [9]
                                {
                                    ["y"] = -281.1794449882833,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 430.0473288526202,
                                }, -- [10]
                                {
                                    ["y"] = -273.5634048124239,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 236.3892683030377,
                                }, -- [11]
                                {
                                    ["y"] = -309.4662729472187,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 286.0425458515612,
                                }, -- [12]
                                {
                                    ["y"] = -253.9798618842373,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 261.0192158585782,
                                }, -- [13]
                                {
                                    ["y"] = -323.6099388411555,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 253.704537363365,
                                }, -- [14]
                                {
                                    ["y"] = -282.2671576843297,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 366.1586165678327,
                                }, -- [15]

                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 177,
                                    ["y"] = -22,
                                    ["text"] = L["Some Dragons Alife"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Sartharion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Dragon"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [5] = {
                            ["source"] = "Interface\\Addons\\BT_Obsid\\Img\\map_sartharion",
                            ["btnId"] = 4, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                               {
                                    ["y"] = -141.9194080347361,
                                    ["type"] = "f",
                                    ["caption"] = BabbleBoss["Tenebron"],
                                    ["x"] = 249.3529308357719,
                                }, -- [1]
                                {
                                    ["y"] = -284.443176874814,
                                    ["type"] = "f",
                                    ["caption"] = BabbleBoss["Vesperon"],
                                    ["x"] = 422.3395018405431,
                                }, -- [2]
                                {
                                    ["y"] = -288.795053310767,
                                    ["type"] = "f",
                                    ["caption"] = BabbleBoss["Shadron"],
                                    ["x"] = 102.4771865933425,
                                }, -- [3]
                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Dragon Landing"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
                        },
                    },
                },
            },
            ["mode10"] = {
		    -- first boss
                [1] = {
                    ["name"] = BabbleBoss["Sartharion"],
                    ["ratext"] = L["ra Sartharion"], --lines seperated by \n
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Sartharion"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Sartharion"],} }, --optional
                    ["imgdata"] = {
                        --first image
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Obsid\\Img\\map_sartharion1",
                            ["btnId"] = 1, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {

                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 197,
                                    ["y"] = -22,
                                    ["text"] = L["Left Tsunami"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_Obsid\\Img\\map_sartharion2",
                            ["btnId"] = 1, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {

                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 197,
                                    ["y"] = -22,
                                    ["text"] = L["Right Tsunami"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
                        },
                        [3] = {
                            ["source"] = "Interface\\Addons\\BT_Obsid\\Img\\map_sartharion",
                            ["btnId"] = 15, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                                {
                                    ["y"] = -307.2904516895314,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 245.3941129472299,
                                }, -- [1]
                                {
                                    ["y"] = -473.7493789823344,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 219.9776164434921,
                                }, -- [2]
                                {
                                    ["y"] = -474.837397574522,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 250.1392638572815,
                                }, -- [3]
                                {
                                    ["y"] = -261.5959020600967,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 414.8157883176211,
                                }, -- [4]
                                {
                                    ["y"] = -263.7717952933464,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 343.4031465832238,
                                }, -- [5]
                                {
                                    ["y"] = -264.8595799649555,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 293.35682848118,
                                }, -- [6]
                                {
                                    ["y"] = -264.8596159527368,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 244.3983670263079,
                                }, -- [7]
                                {
                                    ["y"] = -265.9477605021589,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 191.0879211721389,
                                }, -- [8]
                                {
                                    ["y"] = -305.1146304318443,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 281.2971430270405,
                                }, -- [9]
                                {
                                    ["y"] = -305.114486480719,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 316.1121005329917,
                                }, -- [10]
                                {
                                    ["y"] = -473.7493789823344,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 308.1029118402682,
                                }, -- [11]
                                {
                                    ["y"] = -474.8373615867407,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 280.6026148356395,
                                }, -- [12]
                                {
                                    ["y"] = -474.8374335623033,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 191.690356631181,
                                }, -- [13]
                                {
                                    ["y"] = -472.6612884145843,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 335.3021890481731,
                                }, -- [14]
                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 177,
                                    ["y"] = -22,
                                    ["text"] = L["No Dragons Alife"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Sartharion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                        [4] = {
                            ["source"] = "Interface\\Addons\\BT_Obsid\\Img\\map_sartharion",
                            ["btnId"] = 16, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                        		{
                                    ["y"] = -258.3318642774248,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 371.5984576143011,
                                }, -- [1]
                                {
                                    ["y"] = -284.4430149297982,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 260.2323250264584,
                                }, -- [2]
                                {
                                    ["y"] = -297.4989681276886,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 233.81984868122,
                                }, -- [3]
                                {
                                    ["y"] = -143.0073096666344,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 140.6480496906914,
                                }, -- [4]
                                {
                                    ["y"] = -143.0073726452517,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 192.1760477276704,
                                }, -- [5]
                                {
                                    ["y"] = -280.0912284632985,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 400.3709406819446,
                                }, -- [6]
                                {
                                    ["y"] = -144.0952922710406,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 229.166916460762,
                                }, -- [7]
                                {
                                    ["y"] = -147.359096133134,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 267.2459297432757,
                                }, -- [8]
                                {
                                    ["y"] = -147.3593120598218,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 312.940245452132,
                                }, -- [9]
                                {
                                    ["y"] = -281.1794449882833,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 430.0473288526202,
                                }, -- [10]
                                {
                                    ["y"] = -273.5634048124239,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 236.3892683030377,
                                }, -- [11]
                                {
                                    ["y"] = -309.4662729472187,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 286.0425458515612,
                                }, -- [12]
                                {
                                    ["y"] = -253.9798618842373,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 261.0192158585782,
                                }, -- [13]
                                {
                                    ["y"] = -323.6099388411555,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 253.704537363365,
                                }, -- [14]
                                {
                                    ["y"] = -282.2671576843297,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 366.1586165678327,
                                }, -- [15]

                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 177,
                                    ["y"] = -22,
                                    ["text"] = L["Some Dragons Alife"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Sartharion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Dragon"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [5] = {
                            ["source"] = "Interface\\Addons\\BT_Obsid\\Img\\map_sartharion",
                            ["btnId"] = 4, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                               {
                                    ["y"] = -141.9194080347361,
                                    ["type"] = "f",
                                    ["caption"] = BabbleBoss["Tenebron"],
                                    ["x"] = 249.3529308357719,
                                }, -- [1]
                                {
                                    ["y"] = -284.443176874814,
                                    ["type"] = "f",
                                    ["caption"] = BabbleBoss["Vesperon"],
                                    ["x"] = 422.3395018405431,
                                }, -- [2]
                                {
                                    ["y"] = -288.795053310767,
                                    ["type"] = "f",
                                    ["caption"] = BabbleBoss["Shadron"],
                                    ["x"] = 102.4771865933425,
                                }, -- [3]
                            },
                            ["fontstrings"] = { --optional, put text on your map
								[1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Dragon Landing"],
                                },
                                [2] = {
                                    ["x"] = 197,
                                    ["y"] = -452,
                                    ["font"] = "GameFontNormal",
                                    ["text"] = L["Instance Entrance"],
                                },
                            },
                        },
                    },
                },
            },
		},
    },
}

function BT_Obsid:OnInitialize()
 	--initialize database
    self.db = LibStub("AceDB-3.0"):New("BT_ObsidDB", defaults, "Default") --change the name here
    self:CheckUpdate()

    table.insert(BT_main.modules,self.db.profile)
end;

------------------------------------------------
--this function is needed by the main program! dont touch it!
------------------------------------------------
function BT_Obsid:GetDefaults()
	return defaults;
end;

-----------------------------------------------
--handels updates in data
--refer to the tutorial how to get version changes!
-----------------------------------------------

function BT_Obsid:CheckUpdate()

	--the versions stored by the client musst be one more
	--because otherwise it woudnt been saved in the savedVariables
	if(not self.db.profile.initial)then
		if(defaults.profile.version+1 > self.db.profile.version)then
			if(defaults.profile.version >= 2)then
				BT_main:ShowUpdateInfoFrame()
			end
		end
	end
	self.db.profile.version = defaults.profile.version+1
	self.db.profile.initial = false
end;


----------------------------------------------------------------
--dont touch this functions!
----------------------------------------------------------------

function BT_Obsid:ResetData()
	self.db:ResetDB()
	self.db.profile.version = defaults.profile.version+1
	self:Print(L["Module resetted"])
end;

function BT_Obsid:OnEnable()
    -- Called when the addon is enabled
end

function BT_Obsid:OnDisable()
    -- Called when the addon is disabled
end